using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class DeleteFileRequestPacket : IPacket
{
	public string Path { get; set; }

	public DeleteFileRequestPacket()
	{
	}

	public DeleteFileRequestPacket(string path)
	{
		Path = path;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(Path ?? "");
	}

	public void Read(BinaryReader r)
	{
		Path = r.ReadString();
	}
}
